Get runner
- GET /platform/infrastructure/runners/{runner_id}
Retrieves a runner by id.
Path Parameters
-
runner_idstringrequired -
The identifier for the runner
Responses
The information for the runner specified by {runner_id}.
-
runner_idstringrequired -
The runner identifier
-
runner_namestring -
The runner name
-
zonestring -
Identifier of the zone
-
Meta data of the runner, like image ID or processor architecture
-
featuresmap string to boolean -
State of features of the runner
-
build_infoRunnerBuildInfo -
commit_hashstring -
Git commit hash
-
versionstring -
Version of the runner artifact
-
host_ipstringrequired -
Host IP for the runner
-
public_hostnamestringrequired -
Public hostname for the runner
-
containersRunnerContainerInforequired -
Containers for the runner
-
container_namestringrequired -
Name of this container
-
container_set_namestringrequired -
Name of the container set for the container
-
connectedbooleanrequired -
Specifies if the runner is connected
-
healthybooleanrequired -
Specifies if the runner is healthy
-
health_checksRunnerHealthChecks -
The checks performed to determine if an runner is healthy or not.
-
is_docker_healthybooleanrequired -
Check performed by the runner to figure out if docker is healthy
-
is_connected_to_zkbooleanrequired -
Whether the runner is connected to zk or not
-
has_containersbooleanrequired -
Whether the runner has containers that it manages
-
regionstring -
The region that this runner belongs to. Only populated in SaaS or federated ECE.
Unable to find the {runner_id} specified runner. Edit your request, then try again. (code: runners.runner_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response